commit:     46ee076bf73f03949c63b0a12c22f6ff7c2fd79e
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 17 21:38:44 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Jun 17 22:29:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46ee076b

dev-lua/dkjson: add 2.8

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/dkjson/Manifest          |  1 +
 dev-lua/dkjson/dkjson-2.8.ebuild | 48 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-lua/dkjson/Manifest b/dev-lua/dkjson/Manifest
index fa97a6196c9d..5eac68223d07 100644
--- a/dev-lua/dkjson/Manifest
+++ b/dev-lua/dkjson/Manifest
@@ -1 +1,2 @@
 DIST dkjson-2.7.tar.gz 17292 BLAKE2B 
e3ac57edb6333dee8eeeba9d844ddc9f3fb3d35c6bd61a896ffff928e2d5c4d17be8a0c01c36d83fb0e4694ad38f3233a92f093cf85dc4b7375a72a224f7e0a8
 SHA512 
8e0cfb27fb2721c57b4fa0e104edc5e3b1f2b375e6ddde486be44f2bd574c19fccbc7c6f629f3d04b16cf652effd0894cb38edf405395488d33577420692246e
+DIST dkjson-2.8.tar.gz 17442 BLAKE2B 
cba188f1f70f948a4222edf20540d2d33a015126b302800d1c574352e2b780e736b06baf20cc6cc960790b35810810f7ac4bfa8cc20571b29d006d0a435b0078
 SHA512 
aca05fd72d25151b008573b73e95e3f808ef7435f36db2814d8825a39a38917fdc7469557dce6fac951fbe9d3b67eaa5fd3701746743499a8036119bd262b222

diff --git a/dev-lua/dkjson/dkjson-2.8.ebuild b/dev-lua/dkjson/dkjson-2.8.ebuild
new file mode 100644
index 000000000000..a1c66a6fb269
--- /dev/null
+++ b/dev-lua/dkjson/dkjson-2.8.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua
+
+DESCRIPTION="David Kolf's JSON module for Lua"
+HOMEPAGE="http://dkolf.de/src/dkjson-lua.fsl/";
+SRC_URI="http://dkolf.de/dkjson-lua/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( ${RDEPEND} )
+"
+
+DOCS=( "readme.txt" )
+
+lua_src_test() {
+       ${ELUA} jsontest.lua || die
+       ${ELUA} speedtest.lua ${PN} || die
+}
+
+src_test() {
+       lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+       insinto $(lua_get_lmod_dir)
+       doins dkjson.lua
+}
+
+src_install() {
+       lua_foreach_impl lua_src_install
+
+       einstalldocs
+}

Reply via email to